# ComplexityMeasures.jl

[![Docs](https://img.shields.io/badge/docs-stable-blue.svg)](https://juliadynamics.github.io/ComplexityMeasures.jl/stable/)
[![CI](https://github.com/juliadynamics/ComplexityMeasures.jl/workflows/CI/badge.svg)](https://github.com/JuliaDynamics/ComplexityMeasures.jl/actions)
[![codecov](https://codecov.io/gh/JuliaDynamics/ComplexityMeasures.jl/branch/main/graph/badge.svg?token=6XlPGg5nRG)](https://codecov.io/gh/JuliaDynamics/ComplexityMeasures.jl)
[![Package Downloads](https://shields.io/endpoint?url=https://pkgs.genieframework.com/api/v1/badge/ComplexityMeasures)](https://pkgs.genieframework.com?packages=ComplexityMeasures)
[![Package Downloads](https://shields.io/endpoint?url=https://pkgs.genieframework.com/api/v1/badge/Entropies)](https://pkgs.genieframework.com?packages=Entropies)
[![DOI](https://zenodo.org/badge/306859984.svg)](https://zenodo.org/badge/latestdoi/306859984)

A Julia package that provides estimators for probabilities, entropies, and other
complexity measures, in the context of nonlinear dynamics, nonlinear timeseries
analysis, and complex systems. It can be used as a standalone package, or as part
of other projects in the JuliaDynamics organization, such as
[DynamicalSystems.jl](https://juliadynamics.github.io/DynamicalSystems.jl/dev/)
or [CausalityTools.jl](https://juliadynamics.github.io/CausalityTools.jl/dev/).

To install it, run `import Pkg; Pkg.add("ComplexityMeasures")`.

All further information is provided in the documentation, which you can either find [online](https://juliadynamics.github.io/ComplexityMeasures.jl/dev/) or build locally by running the `docs/make.jl` file.

_Previously, this package was called Entropies.jl._
