# Complexity measures

In this page we document estimators for complexity measures that are not entropies in the strict mathematical sense. The API is almost identical to [`entropy`](@ref) and is defined by:

- [`complexity`](@ref)
- [`complexity_normalized`](@ref)
- [`ComplexityEstimator`](@ref)

## Complexity measures API

```@docs
complexity
complexity_normalized
ComplexityEstimator
```

## Approximate entropy

```@docs
ApproximateEntropy
```

## Sample entropy

```@docs
SampleEntropy
```

## Missing dispersion patterns

```@docs
MissingDispersionPatterns
```

## Reverse dispersion entropy

```@docs
ReverseDispersion
```

## Statistical complexity
```@docs
StatisticalComplexity
entropy_complexity
entropy_complexity_curves
```